​
Select Service
ves-io-schema-secret_policy_rule-API-Get
Published April 5, 2023 | Last modified September 15, 2026
Examples of getting secret_policy_rule
Usecase:
Get secret-policy-rule-1
Request using vesctl:
vesctl configuration get secret_policy_rule secret-policy-rule-1 --namespace documentation
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: secret-policy-rule-1 namespace: documentationreferringObjects: []resourceVersion: "2588"spec: action: ALLOW clientNameMatcher: exactValues: [] regexValues: - akar\.gc(\d)*\.int\.ves\.iostatus: []systemMetadata: creationTimestamp: "2026-06-19T22:04:26.081171Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: 7be53c68-0f95-43a1-a4ed-4e3f56080c08Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/secret_management/namespaces/documentation/secret_policy_rules/secret-policy-rule-1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 1018Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:04:26 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "2588", "metadata": { "name": "secret-policy-rule-1", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "7be53c68-0f95-43a1-a4ed-4e3f56080c08", "creation_timestamp": "2026-06-19T22:04:26.081171Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "action": "ALLOW", "client_name_matcher": { "exact_values": [ ], "regex_values": [ "akar\\.gc(\\d)*\\.int\\.ves\\.io" ] }, "label_matcher": null }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}